package social.agents;


import repast.simphony.space.continuous.ContinuousSpace;
import repast.simphony.space.grid.Grid;
import social.content.IContent;
import social.agents.profile.ComplaintProfile;
import social.agents.profile.UploadProfile;
import social.agents.profile.ViewProfile;

/**
 * Moderate agent
 * @author davidsanchezpinsach
 *
 */
public class ModerateAgent extends Agent {

	IContent content;
	
	//Default ModerateAgent
	public ModerateAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row){
		super(space, grid, row, null, null, null);	
		upLoadProfile = new UploadProfile(0.8, 0.1, 0, 0, 0, 0, 0.4);
		viewProfile = new ViewProfile(0.5, 0.1, 0.4, 1);
		complaintProfile = new ComplaintProfile(1, 1, 1, 1, 1);	
	}
	
	public ModerateAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row, UploadProfile uProfile, ViewProfile vProfile, ComplaintProfile cProfile){
		super(space, grid, row, uProfile, vProfile, cProfile);
		bbddManager.establishedConnection("Moderate");
		if(bbddManager.getConn()!=null){
			upLoadProfile.generateRandomUploadList(bbddManager, grid);
			bbddManager.terminatedConnection("Moderate");
		}
	}
}