package social.agents;


import repast.simphony.space.continuous.ContinuousSpace;
import repast.simphony.space.grid.Grid;
import social.content.IContent;
import social.agents.profile.ComplaintProfile;
import social.agents.profile.UploadProfile;
import social.agents.profile.ViewProfile;

/**
 * Spammer agent
 * @author davidsanchezpinsach
 *
 */
public class SpammerAgent extends Agent{
	
	IContent content;
	
	//Default SpammerAgent
	public SpammerAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row){
		super(space, grid, row, null, null, null);	
		upLoadProfile = new UploadProfile(0, 0.1, 0, 0.9, 0, 0, 1);
		viewProfile = new ViewProfile(0.5, 0.4, 0.1, 1);
		complaintProfile = new ComplaintProfile(0.1, 0.2, 0, 0, 0.3);	
	}
	
	public SpammerAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row, UploadProfile uploadProfile, ViewProfile viewProfile, ComplaintProfile complaintProfile){
		super(space, grid, row, uploadProfile, viewProfile, complaintProfile);
		bbddManager.establishedConnection("Spammer");
		if(bbddManager.getConn()!=null){
			upLoadProfile.generateRandomUploadList(bbddManager, grid);
			bbddManager.terminatedConnection("Spammer");
		}
	}
}
