package social.agents;


import repast.simphony.space.continuous.ContinuousSpace;
import repast.simphony.space.grid.Grid;
import social.content.IContent;
import social.agents.profile.ComplaintProfile;
import social.agents.profile.UploadProfile;
import social.agents.profile.ViewProfile;

/**
 * Troll agent
 * @author davidsanchezpinsach
 *
 */
public class TrollAgent extends Agent {
	
	IContent content;
	
	//Default TrollAgent
	public TrollAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row){
		super(space, grid, row, null, null, null);	
		upLoadProfile = new UploadProfile(0.1, 0.1, 0.2, 0, 0.6, 0, 0.5);
		viewProfile = new ViewProfile(0.2, 0.2, 0.6, 1);
		complaintProfile = new ComplaintProfile(0, 0, 0, 0, 0);
	}
	
	public TrollAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row, UploadProfile uploadProfile, ViewProfile viewProfile, ComplaintProfile complaintProfile){
		super(space, grid, row, uploadProfile, viewProfile, complaintProfile);
		bbddManager.establishedConnection("Troll");
		if(bbddManager.getConn()!=null){
			upLoadProfile.generateRandomUploadList(bbddManager, grid);
			bbddManager.terminatedConnection("Troll");
		}
	}
}
