package social.agents;


import repast.simphony.space.continuous.ContinuousSpace;
import repast.simphony.space.grid.Grid;
import social.content.IContent;
import social.agents.profile.ComplaintProfile;
import social.agents.profile.UploadProfile;
import social.agents.profile.ViewProfile;

/**
 * Rude agent
 * @author davidsanchezpinsach
 *
 */
public class RudeAgent extends Agent{
	
	IContent content;
	
	//Default RudeAgent
	public RudeAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row){
		super(space, grid, row, null, null, null);	
		upLoadProfile = new UploadProfile(0.3, 0.1, 0.6, 0, 0, 0, 0.6);
		viewProfile = new ViewProfile(0.3, 0.4, 0.3, 1);
		complaintProfile = new ComplaintProfile(0.4, 0.1, 0.2, 0.1, 0);
	}
	
	public RudeAgent(ContinuousSpace<Object> space , Grid<Object> grid, int row, UploadProfile uploadProfile, ViewProfile viewProfile, ComplaintProfile complaintProfile){
		super(space, grid, row, uploadProfile, viewProfile, complaintProfile);	
		bbddManager.establishedConnection("Rude");
		if(bbddManager.getConn()!=null){
			upLoadProfile.generateRandomUploadList(bbddManager, grid);
			bbddManager.terminatedConnection("Rude");
		}
	}
}
