package social.content.comment;

import social.content.IContent;

/**
 * Spammer comment
 * @author davidsanchezpinsach
 *
 */
public class SpamComment implements IContent{
	private int id;
	private int contentType;
	private String file;
	private String url;
	private String message;
	private int section;
	private int numViews = 0;
	
	public SpamComment(){
		
	}
	
	public SpamComment(int id, int contentType, String file, String url, String message, int section){
		this.id = id;
		this.contentType = contentType;
		this.file = file;
		this.url = url;
		this.message = message;
		this.section = section;
	}
	
	public String toString(){
		if(message!=null){
			return message;
		}else{
			return "";
		}
	}
	
	@Override
	public int getSection() {
		return section;
	}

	public void setSection(int section) {
		this.section = section;
	}
	
	@Override
	public int getNumViews() {
		return numViews;
	}

	@Override
	public void setNumViews(int numViews) {
		this.numViews = numViews;
	}

	@Override
	public int getContentType() {
		return contentType;
	}
}
